#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x93e45636, "");
SYMBOL_CRC(bt_sock_register, 0x5600fd65, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xb97f3114, "");
SYMBOL_CRC(bt_sock_link, 0x60672e22, "");
SYMBOL_CRC(bt_sock_unlink, 0xffbcdbf6, "");
SYMBOL_CRC(bt_accept_enqueue, 0xff0df8a7, "");
SYMBOL_CRC(bt_accept_unlink, 0x8dd60b5e, "");
SYMBOL_CRC(bt_accept_dequeue, 0x997c63d2, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xb6b313bb, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x34ba625b, "");
SYMBOL_CRC(bt_sock_poll, 0xcea3f4d8, "");
SYMBOL_CRC(bt_sock_ioctl, 0x71a3eb9c, "");
SYMBOL_CRC(bt_sock_wait_state, 0x90c9a011, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x99cfdf20, "");
SYMBOL_CRC(bt_procfs_init, 0x36ab61a9, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xe6298b6b, "");
SYMBOL_CRC(bt_debugfs, 0x5f57fe18, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x54ebe524, "");
SYMBOL_CRC(hci_free_dev, 0xce26d80d, "");
SYMBOL_CRC(hci_register_dev, 0x7505b2a0, "");
SYMBOL_CRC(hci_unregister_dev, 0x2ca8b1d1, "");
SYMBOL_CRC(hci_release_dev, 0xb7a6e9d5, "");
SYMBOL_CRC(hci_suspend_dev, 0xd09a492f, "");
SYMBOL_CRC(hci_resume_dev, 0x71f31eeb, "");
SYMBOL_CRC(hci_reset_dev, 0x9504a102, "");
SYMBOL_CRC(hci_recv_frame, 0x59d75ed6, "");
SYMBOL_CRC(hci_recv_diag, 0xc788ea72, "");
SYMBOL_CRC(hci_set_hw_info, 0x8d50f9f7, "");
SYMBOL_CRC(hci_set_fw_info, 0x001f60d2, "");
SYMBOL_CRC(hci_register_cb, 0x2a445ceb, "");
SYMBOL_CRC(hci_unregister_cb, 0xe815c7f6, "");
SYMBOL_CRC(__hci_cmd_send, 0x41e80c9c, "");
SYMBOL_CRC(hci_get_route, 0x44359c0d, "");
SYMBOL_CRC(hci_conn_security, 0x739dda5f, "");
SYMBOL_CRC(hci_conn_check_secure, 0x97e63f5e, "");
SYMBOL_CRC(hci_conn_switch_role, 0xa6bd0ab3, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x150ba229, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x73d4e061, "");
SYMBOL_CRC(l2cap_add_psm, 0x46d6f6ca, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x6349421a, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xaaa261a1, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x1a74db6f, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x2e8cd51a, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x38e5cc93, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x8d3e6c38, "");
SYMBOL_CRC(l2cap_register_user, 0x5186aa32, "");
SYMBOL_CRC(l2cap_unregister_user, 0x9b12e4fa, "");
SYMBOL_CRC(l2cap_conn_get, 0x0c6f3c98, "");
SYMBOL_CRC(l2cap_conn_put, 0x4e3cd57c, "");
SYMBOL_CRC(l2cap_chan_send, 0xd1d4cded, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xbdc40501, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xaf9ea13b, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x8e43a893, "");
SYMBOL_CRC(__hci_cmd_sync, 0x6fd11b8c, "");
SYMBOL_CRC(hci_cmd_sync, 0x3d207174, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x69cd36e0, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x9ed35ec2, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xab6911ee, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x12398987, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x506d92df, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xb329b8c1, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x9a8d407a, "");
SYMBOL_CRC(hci_devcd_init, 0x37c0b9b1, "");
SYMBOL_CRC(hci_devcd_append, 0xc5ee965d, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x4b20e37f, "");
SYMBOL_CRC(hci_devcd_complete, 0x52d61543, "");
SYMBOL_CRC(hci_devcd_abort, 0xee3b253c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa52e841b, "skb_free_datagram" },
	{ 0x81238896, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x95d1a860, "try_module_get" },
	{ 0x75559a69, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa14d4d4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd0747151, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x11e6cb56, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xe9ff6e6c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0xf4be6c59, "scm_detach_fds" },
	{ 0xdbb014c, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xecc591c7, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfa9ea5f5, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xdc81a254, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x69811386, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x35b1afea, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6afc081e, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf82d0ab, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x12067746, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6bce2ad2, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xe127bd74, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x7624d8a6, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6295b28c, "__put_cred" },
	{ 0x5cd97869, "put_cmsg" },
	{ 0x8848a69b, "skb_queue_purge_reason" },
	{ 0xae197b5e, "crypto_destroy_tfm" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6ff5bcdf, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x37e574c4, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8558fccb, "sock_register" },
	{ 0x4700123d, "datagram_poll" },
	{ 0x4b84d381, "__sock_recv_cmsgs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe16b094c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbeea74eb, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x41c00e12, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x381d86f7, "skb_queue_tail" },
	{ 0xcd1f47a2, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x39be9f8d, "debugfs_attr_read" },
	{ 0x3c9113b6, "__sock_recv_timestamp" },
	{ 0x63d75e50, "sock_no_shutdown" },
	{ 0xb7bebbda, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55fd1ea0, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x215e000a, "init_net" },
	{ 0x8896979e, "crypto_shash_setkey" },
	{ 0xfc2f9e8c, "simple_open" },
	{ 0x6c86c0ae, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x15961654, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xffd82f45, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5b9232a, "init_uts_ns" },
	{ 0x28d9857d, "sk_free" },
	{ 0x480cac91, "device_move" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0xedd5e607, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9a1fbf, "skb_push" },
	{ 0x44d01fc7, "sock_no_listen" },
	{ 0x516babb7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xc26f251c, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xfab9918b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x285eeecf, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4e604434, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x599c2c5e, "lock_sock_nested" },
	{ 0x4ff4233d, "device_find_child" },
	{ 0x9ac508d5, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x141b39dd, "skb_copy_datagram_iter" },
	{ 0xa808a824, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc40ade18, "sk_alloc" },
	{ 0xa21e5f9c, "device_del" },
	{ 0x5d61e646, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf2c68165, "default_llseek" },
	{ 0xf827db57, "__sock_recv_wifi_status" },
	{ 0xd97a288c, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5eb4ef0, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xde722b2b, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x47ec979c, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0xc88f2c7a, "__scm_destroy" },
	{ 0xec61436d, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x64b6d9d6, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb1ac9311, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x57643536, "devm_kasprintf" },
	{ 0x199cc7a6, "seq_read" },
	{ 0xe1f91649, "sock_i_ino" },
	{ 0x81e831ee, "debugfs_create_file" },
	{ 0x88ca8b44, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7245d5a1, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x19858e93, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x265da75f, "skb_recv_datagram" },
	{ 0xd208d2e9, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9943a361, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d2f15d3, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3465364a, "skb_copy" },
	{ 0x433a6774, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb587040d, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb4a6ff58, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x55430c2a, "seq_puts" },
	{ 0xbaaecd2a, "sock_gettstamp" },
	{ 0x64251e94, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3ba7443, "pid_vnr" },
	{ 0x400fede6, "from_kuid_munged" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x125f362f, "led_trigger_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x61478100, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1cd77adf, "proc_create_seq_private" },
	{ 0x9077ba8a, "debugfs_create_u8" },
	{ 0x841e78d7, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x76549ffd, "crypto_alloc_shash" },
	{ 0x6474ec3e, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7fa4fd9, "fwnode_property_read_u8_array" },
	{ 0x8c776260, "put_pid" },
	{ 0xe66692e3, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe327041b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1da004f7, "__dev_fwnode" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf0b94d69, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9f981e37, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "91888AE97E868B7DA44ABB0");
